Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POAManager Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POAManager:

[legend]
Collaboration diagram for PortableServer::POAManager:

[legend]
List of all members.

## Public Types
typedef POAManager_ptr | _ptr_type
typedef POAManager_var | _var_type
typedef State & | State_out
enum | State { HOLDING, ACTIVE, DISCARDING, INACTIVE }
## Public Methods
virtual void | activate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )
virtual void | hold_requests (CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )
virtual void | discard_requests (CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )
virtual void | deactivate (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )
virtual::PortableServer::POAManager::State | get_state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
POAManager_ptr | _duplicate (POAManager_ptr obj)
POAManager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
POAManager_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_AdapterInactive
static::CORBA::TypeCode_ptr | _tc_State
## Protected Methods
| POAManager (void)
virtual | ~POAManager (void)
## Private Methods
| POAManager (const POAManager &)
void | operator= (const POAManager &)

## Member Typedef Documentation

typedef POAManager_ptr PortableServer::POAManager::_ptr_type

| Reimplemented from CORBA::Object.

typedef POAManager_var PortableServer::POAManager::_var_type

| Reimplemented from CORBA::Object.

typedef State& PortableServer::POAManager::State_out

## Member Enumeration Documentation

enum PortableServer::POAManager::State

  | Enumeration values:
  HOLDING |
  ACTIVE |
  DISCARDING |
  INACTIVE |

## Constructor & Destructor Documentation

PortableServer::POAManager::POAManager | ( | void |  | ) | `[protected]`

PortableServer::POAManager::~POAManager | ( | void |  | ) | `[protected, virtual]`

PortableServer::POAManager::POAManager | ( | const POAManager & |  | ) | `[private]`

## Member Function Documentation

PortableServer::POAManager_ptr PortableServer::POAManager::_duplicate | ( | POAManager_ptr | obj | ) | `[static]`

const char * PortableServer::POAManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableServer::POAManager::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

POAManager_ptr PortableServer::POAManager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

POAManager_ptr PortableServer::POAManager::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void PortableServer::POAManager::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

virtual void PortableServer::POAManager::activate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )`[pure virtual]`

| Implemented in TAO_POA_Manager.

virtual void PortableServer::POAManager::deactivate | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )`[pure virtual]`

| Implemented in TAO_POA_Manager.

virtual void PortableServer::POAManager::discard_requests | ( | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )`[pure virtual]`

| Implemented in TAO_POA_Manager.

virtual ::PortableServer::POAManager::State PortableServer::POAManager::get_state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_POA_Manager.

virtual void PortableServer::POAManager::hold_requests | ( | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableServer::POAManager::AdapterInactive )`[pure virtual]`

| Implemented in TAO_POA_Manager.

CORBA::Boolean PortableServer::POAManager::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void PortableServer::POAManager::operator= | ( | const POAManager & |  | ) | `[private]`

## Member Data Documentation

CORBA::TypeCode_ptr PortableServer::POAManager::_tc_AdapterInactive

| Initial value:
      &_tc_TAO_tc_PortableServer_POAManager_AdapterInactive

CORBA::TypeCode_ptr PortableServer::POAManager::_tc_State

| Initial value:
      &_tc_TAO_tc_PortableServer_POAManager_State

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp